FreeMat

- Main Page
- Related Pages

vtkLightsPass

Section: Visualization Toolkit Rendering Classes

# Usage

Render the lights.

This pass expects an initialized camera. It disables all the lights, apply transformations for lights following the camera, and turn on the enables lights.

To create an instance of class vtkLightsPass, simply invoke its constructor as follows

      obj = vtkLightsPass

# Methods

The class vtkLightsPass has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkLightsPass class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkLightsPass = obj.NewInstance ()`
- `vtkLightsPass = obj.SafeDownCast (vtkObject o)`